# fourdst::libcomposition: fourdst::composition::exceptions Namespace Reference

Loading...
Searching...
No Matches
fourdst::composition::exceptions Namespace Reference

## Classes

class | CompositionEntryError
| Base class for exceptions related to individual entries within a composition. More...
class | CompositionError
| Base class for exceptions related to composition objects. More...
class | CompositionModeError
| Exception thrown due to a conflict in composition modes at the entry level. More...
class | CompositionNotFinalizedError
| Exception thrown when an operation is attempted on a composition that has not been finalized. More...
class | EntryAlreadyInitializedError
| Exception thrown when attempting to initialize a composition entry that has already been initialized. More...
class | FailedToFinalizeCompositionError
| Exception thrown when the finalization process of a composition fails. More...
class | InvalidCompositionError
| Exception thrown when a composition is in an invalid or inconsistent state. More...
class | InvalidMixingMode
| Exception thrown for an invalid or unsupported mixing mode. More...
class | InvalidSpeciesSymbolError
| Exception thrown for an invalid chemical species symbol in a composition entry. More...
class | InvalidSymbolError
| Exception thrown when a symbol used in a composition is invalid. More...
class | UnregisteredSymbolError
| Exception thrown when a symbol is used that has not been registered. More...